
From: blaisorblade_spam@yahoo.it

Adds some more parenthesis for a macro arg to fix a warning (which was in
kernel/uid16.c).

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-um/uaccess.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-um/uaccess.h~uml-fix-get_user-warning include/asm-um/uaccess.h
--- 25/include/asm-um/uaccess.h~uml-fix-get_user-warning	2004-10-03 15:58:43.673154616 -0700
+++ 25-akpm/include/asm-um/uaccess.h	2004-10-03 15:58:43.676154160 -0700
@@ -55,7 +55,7 @@
 
 #define get_user(x, ptr) \
 ({ \
-        const __typeof__((*ptr)) *private_ptr = (ptr); \
+        const __typeof__((*(ptr))) *private_ptr = (ptr); \
         (access_ok(VERIFY_READ, private_ptr, sizeof(*private_ptr)) ? \
 	 __get_user(x, private_ptr) : ((x) = 0, -EFAULT)); \
 })
_
